Package org.jfree.layouting.input.style.keys.box

## Class DisplayRole

- java.lang.Object
- - org.jfree.layouting.input.style.keys.box.DisplayRole

-     public class DisplayRole
      extends java.lang.Object

  The Display-Role property describes the role an element plays in the parent algorithm. Seeing that property as general 'LayoutManagerConstraint' might be apropriate.

  The RUBY_* properties are required for Japanese and other Asian font support and not yet used.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `ABSOLUTE` | A JFreeReport compatibility setting.
    `static CSSConstant` | `BLOCK` | The element is rendered as a rectangular block.
    `static CSSConstant` | `COMPACT` | The effect depends on the intrinsic size of this element and on what comes after it.
    `static CSSConstant` | `INLINE` | The element is rendered inside a line box.
    `static CSSConstant` | `LIST_ITEM` | The element is rendered the same as if it had display-role 'block', but in addition a marker is generated (see 'list-style').
    `static CSSConstant` | `NONE` | The element is not rendered.
    `static CSSConstant` | `RUBY_BASE` |
    `static CSSConstant` | `RUBY_BASE_GROUP` |
    `static CSSConstant` | `RUBY_TEXT` | Ruby is not yet used.
    `static CSSConstant` | `RUBY_TEXT_GROUP` |
    `static CSSConstant` | `RUN_IN` | The effect depends on what comes after the element.
    `static CSSConstant` | `TABLE_CAPTION` |
    `static CSSConstant` | `TABLE_CELL` |
    `static CSSConstant` | `TABLE_COLUMN` |
    `static CSSConstant` | `TABLE_COLUMN_GROUP` |
    `static CSSConstant` | `TABLE_FOOTER_GROUP` |
    `static CSSConstant` | `TABLE_HEADER_GROUP` |
    `static CSSConstant` | `TABLE_ROW` | See the Tables module [CSS3TBL].
    `static CSSConstant` | `TABLE_ROW_GROUP` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final CSSConstant NONE

      The element is not rendered. The rendering is the same as if the element had been removed from the document tree, except for possible effects on counters (see [generated] or [paged]).

      Note that :before and :after pseudo elements of this element are also not rendered, see [generated].)

    - #### BLOCK

          public static final CSSConstant BLOCK

      The element is rendered as a rectangular block. See Collapsing margins for its position relative to earlier boxes in the same flow. In paged media [ref] or inside another element that has two or more columns, the box may be split into several smaller boxes.

    - #### INLINE

          public static final CSSConstant INLINE

      The element is rendered inside a line box. It may be split into several boxes because of line breaking and bidi processing (see the Text module).

    - #### LIST_ITEM

          public static final CSSConstant LIST_ITEM

      The element is rendered the same as if it had display-role 'block', but in addition a marker is generated (see 'list-style').

    - #### RUN_IN

          public static final CSSConstant RUN_IN

      The effect depends on what comes after the element. If the next element (in the depth-first, left to right tree traversal, so not necessarily a sibling) has a 'display-model' of 'block-inside', the current element will be rendered as if it had display-role 'inline' and was the first child of that block element. Otherwise this element will be rendered as if it had display-role 'block'. [Does this explain Ian's tests?]

    - #### COMPACT

          public static final CSSConstant COMPACT

      The effect depends on the intrinsic size of this element and on what comes after it. If the next element has a 'display-role' of 'block', and the intrinsic width of the compact element is less than or equal to the left margin of that block (resp. the right margin, if the block's 'direction' is 'rtl'), then the compact element is rendered in the left (right) margin of the block at its intrinsic size and baseline aligned with the first line box of the block. [Do we need a different alignment depending on script?] In all other cases the compact element is rendered as if its display-role was 'block'.

    - #### TABLE_ROW

          public static final CSSConstant TABLE_ROW

      See the Tables module [CSS3TBL].

    - #### TABLE_CELL

          public static final CSSConstant TABLE_CELL

    - #### TABLE_ROW_GROUP

          public static final CSSConstant TABLE_ROW_GROUP

    - #### TABLE_HEADER_GROUP

          public static final CSSConstant TABLE_HEADER_GROUP

    - #### TABLE_FOOTER_GROUP

          public static final CSSConstant TABLE_FOOTER_GROUP

    - #### TABLE_COLUMN

          public static final CSSConstant TABLE_COLUMN

    - #### TABLE_COLUMN_GROUP

          public static final CSSConstant TABLE_COLUMN_GROUP

    - #### TABLE_CAPTION

          public static final CSSConstant TABLE_CAPTION

    - #### RUBY_TEXT

          public static final CSSConstant RUBY_TEXT

      Ruby is not yet used.

    - #### RUBY_BASE

          public static final CSSConstant RUBY_BASE

    - #### RUBY_BASE_GROUP

          public static final CSSConstant RUBY_BASE_GROUP

    - #### RUBY_TEXT_GROUP

          public static final CSSConstant RUBY_TEXT_GROUP

    - #### ABSOLUTE

          public static final CSSConstant ABSOLUTE

      A JFreeReport compatibility setting. Enables the absolute positioning mode.